curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/payment-reminders/{payment_reminder_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"name": "<string>",
"recipients": {
"bcc": [
"jsmith@example.com"
],
"cc": [
"jsmith@example.com"
],
"to": [
"jsmith@example.com"
]
},
"term_1_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
},
"term_2_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
},
"term_final_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"recipients": {
"bcc": [
"jsmith@example.com"
],
"cc": [
"jsmith@example.com"
],
"to": [
"jsmith@example.com"
]
},
"term_1_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
},
"term_2_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
},
"term_final_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
}
}curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/payment-reminders/{payment_reminder_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"name": "<string>",
"recipients": {
"bcc": [
"jsmith@example.com"
],
"cc": [
"jsmith@example.com"
],
"to": [
"jsmith@example.com"
]
},
"term_1_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
},
"term_2_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
},
"term_final_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"recipients": {
"bcc": [
"jsmith@example.com"
],
"cc": [
"jsmith@example.com"
],
"to": [
"jsmith@example.com"
]
},
"term_1_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
},
"term_2_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
},
"term_final_reminder": {
"body": "<string>",
"days_before": 5000,
"subject": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
1 - 255Show child attributes
Reminder to send for first payment term
Show child attributes
Reminder to send for second payment term
Show child attributes
Reminder to send for final payment term
Show child attributes
Successful Response
Time at which the PaymentReminder was created. Timestamps follow the ISO 8601 standard.
Time at which the PaymentReminder was last updated. Timestamps follow the ISO 8601 standard.
active, deleted Show child attributes
Reminder to send for first payment term
Show child attributes
Reminder to send for second payment term
Show child attributes
Reminder to send for final payment term
Show child attributes
Was this page helpful?